<?php

namespace Drupal\dxpr_builder\Plugin\Action;

use Drupal\Core\Field\FieldUpdateActionBase;

/**
 * Provides the "Exclude the selected user from DXPR Builder" action.
 *
 * @Action(
 *   id = "dxpr_builder_disavow_user",
 *   label = @Translation("Exclude the selected user from DXPR Builder"),
 *   type = "user",
 *   category = @Translation("DXPR Builder")
 * )
 */
class DisavowUser extends FieldUpdateActionBase {

  /**
   * Gets an array of values to be set.
   *
   * @phpstan-return array<string, int>
   */
  protected function getFieldsToUpdate() {
    return [
      'dxpr_user_is_disavowed' => 1,
    ];
  }

}
